[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# FreeWidgetSet

Destroys singletons for the Screen, Application, and WidgetSet.

## Declaration

Source position: forms.pp line 2006

`procedure FreeWidgetSet;`

## Description

FreeWidgetSet is a procedure used to free resources allocated to the Screen, Application, Clipboards, and WidgetSet singletons.

For Screen, allocated cursors and monitors are destroyed. Application is freed, and set to Nil. All clipboard formats are freed as well. The WidgetSet singleton is freed, and set to Nil.

FreeWidgetSet executes the CallInterfaceFinalizationHandlers routine to perform any finalization handlers installed for the LCL interface.

## See also

Application |  | The TApplication singleton.
Screen |  | The TScreen singleton for the application.
WidgetSet
CallInterfaceFinalizationHandlers |  | Calls each of the registered finalization handlers.